<form (ngSubmit)="onSubmit()"
      [formGroup]="form"
      [solidifyFocusFirstElement]="true"
      class="form-one-columns"
>
  <div *ngIf="readonly"
       class="header"
  >
    <solidify-status *ngIf="getFormControl(formDefinition.status) as fd"
                     [statusModel]="enumUtil.getKeyValue(orderStatusEnumValuesTranslate, fd.value)"
    ></solidify-status>
  </div>

  <ng-template [ngIf]="readonly">
    <mat-form-field *ngIf="getFormControl(formDefinition.resId) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.resId | translate}}</mat-label>
      <input [formControl]="fd"
             matInput
      >
    </mat-form-field>
  </ng-template>

  <mat-form-field *ngIf="getFormControl(formDefinition.name) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.nameLabel | translate}}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
           matInput
    >
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.disseminationPolicyIdAndAssociationId) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  [class.ignored-input]="isDisseminationReadonly"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.disseminationPolicy | translate}}</mat-label>
    <mat-select [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
    >
      <mat-option *ngFor="let policy of listOptionsDisseminationPolicy"
                  [value]="concatenateIds(policy)"
                  [matTooltip]="policy.placeholderToTranslate | translate"
                  solidifyTooltipOnEllipsis
      >
        {{policy.value | translate}}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.queryType) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.queryType | translate }}</mat-label>
    <mat-select [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
                [solidifyValidation]="errors"
    >
      <mat-option *ngFor="let queryType of queryTypeEnumValues"
                  [value]="queryType.key"
                  solidifyTooltipOnEllipsis
      >
        {{queryType.value | translate}}
      </mat-option>
    </mat-select>
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.query) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.query | translate}}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
           matInput
    >
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>
  <dlcm-shared-additional-information-panel-container *ngIf="model | isNotNullNorUndefined"
                                                      [resource]="model"
  >
  </dlcm-shared-additional-information-panel-container>
</form>
